<!--
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
#  KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
#
-->
## Thanks for installing Cordova!

## Plugins

* Plugins **MUST** add their plugin mapping to under their app's **config.xml** &lt;plugins&gt; key, see your plugin's README e.g.
    
        <plugin name="MyPluginName" value="MyPluginClass" />
        
* Plugins **MUST** add any external hosts they connect to to the white-list in config.xml - see the [**Domain Whitelist Guide**](http://docs.cordova.io/en/edge/guide_whitelist_index.md.html#Domain%20Whitelist%20Guide), e.g.

        <access origin="www.apache.org" />
        
* A plugin's Objective-C code **MUST** be added to the project properly in a "group" (**YELLOW** folder), if you incorrectly added it as a folder reference it would be a blue folder (just delete the reference, and re-add)

<br />

## Plugin Upgrades
	
Please see the **Cordova Plugin Upgrade Guide.md** document included in the **guides** sub-folder in the source distribution

<br />

## Project Upgrades
	
1. Please see the [**Upgrading Cordova iOS**](http://docs.cordova.io/en/edge/guide_upgrading_index.md.html) document on [http://docs.cordova.io](http://docs.cordova.io)
2. See the **FAQ** in the README.md as well included in the source distribution

<br />

## Creating a new Cordova-based project

Follow the instructions in the [**Command-Line Usage** section](http://docs.cordova.io/en/edge/guide_command-line_index.md.html#Command-Line%20Usage) of [http://docs.cordova.io](http://docs.cordova.io)

<br />

That's it! Modify the contents of the "www" directory to add your HTML, CSS and JavaScript.
<br />

## Links

* [http://cordova.apache.org/](http://cordova.apache.org/)


<br />
